Bug 1127906 - SELinux is preventing /usr/sbin/xtables-multi from 'read' accesses on the file . [NEEDINFO]
Summary: SELinux is preventing /usr/sbin/xtables-multi from 'read' accesses on the file .
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1cdde2d0032d3e249fd2a10ba65...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-07 19:38 UTC by Weonjong Lee
Modified: 2015-06-29 21:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:58:13 UTC
mgrepl: needinfo? (wlee)


Attachments (Terms of Use)

Description Weonjong Lee 2014-08-07 19:38:54 UTC
Description of problem:
SELinux is preventing /usr/sbin/xtables-multi from 'read' accesses on the file .

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that xtables-multi should be allowed read access on the  file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep iptables /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:iptables_t:s0
Target Context                system_u:object_r:initrc_var_run_t:s0
Target Objects                 [ file ]
Source                        iptables
Source Path                   /usr/sbin/xtables-multi
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           iptables-1.4.19.1-1.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-179.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 3.15.7-200.fc20.x86_64 #1 SMP Mon
                              Jul 28 18:50:26 UTC 2014 x86_64 x86_64
Alert Count                   3
First Seen                    2014-08-07 12:10:11 PDT
Last Seen                     2014-08-07 12:23:00 PDT
Local ID                      92051dab-7e87-4a3a-ad9d-d17b471af85d

Raw Audit Messages
type=AVC msg=audit(1407439380.915:309): avc:  denied  { read } for  pid=21246 comm="iptables-restor" path="/run/ahnfw.pid" dev="tmpfs" ino=21991 scontext=system_u:system_r:iptables_t:s0 tcontext=system_u:object_r:initrc_var_run_t:s0 tclass=file


type=SYSCALL msg=audit(1407439380.915:309): arch=x86_64 syscall=execve success=yes exit=0 a0=164db90 a1=164deb0 a2=164ccc0 a3=0 items=0 ppid=21245 pid=21246 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=iptables-restor exe=/usr/sbin/xtables-multi subj=system_u:system_r:iptables_t:s0 key=(null)

Hash: iptables,iptables_t,initrc_var_run_t,file,read

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.15.7-200.fc20.x86_64
type:           libreport

Comment 1 Daniel Walsh 2014-08-07 20:41:54 UTC
This looks like a leaked file descriptor from what every is running iptables.

/run/ahnfw.pid

Whatever file created this is leaking.

Comment 2 Fedora End Of Life 2015-05-29 12:34:54 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 21:58:13 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.